Package org.apache.sling.feature.extension.apiregions.launcher

# Class RegionLauncher

java.lang.Object
org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher
org.apache.sling.feature.extension.apiregions.launcher.RegionLauncher

All Implemented Interfaces:
  `org.apache.sling.feature.launcher.spi.Launcher`

public class RegionLauncher extends org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher
The `RegionLauncher` class extends `FrameworkLauncher` and is responsible for preparing and running the framework with specific configurations related to API regions.

This class handles the creation and management of properties files that map bundle IDs to their symbolic names and versions, as well as bundle IDs to features. These properties files are used during the framework launch process.

It overrides the `prepare` and `run` methods from `FrameworkLauncher` to include additional setup steps specific to API regions.

Constants:

- `IDBSNVER_FILENAME` - The filename for the properties file that maps bundle IDs to their symbolic names and versions.
- `BUNDLE_FEATURE_FILENAME` - The filename for the properties file that maps bundle IDs to features.

Methods:

- `prepare(LauncherPrepareContext context, ArtifactId frameworkId, Feature app)` - Prepares the framework by creating necessary properties files and updating framework properties.
- `run(LauncherRunContext context, ClassLoader cl)` - Runs the framework with the given context and class loader.

See Also:
  - `FrameworkLauncher`
  - `LauncherPrepareContext`
  - `LauncherRunContext`
  - `ArtifactId`
  - `Feature`
  - `LauncherProperties`
  - `RegionLauncherExtension`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.sling.feature.launcher.spi.Launcher

`org.apache.sling.feature.launcher.spi.Launcher.LauncherClassLoader`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUNDLE_FEATURE_FILENAME`
`static final String`
`IDBSNVER_FILENAME`

## Constructor Summary

Constructors
Constructor
Description
`RegionLauncher()`

## Method Summary

Modifier and Type
Method
Description
`void`
`prepare(org.apache.sling.feature.launcher.spi.LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app)`
`int`
`run(org.apache.sling.feature.launcher.spi.LauncherRunContext context, ClassLoader cl)`

### Methods inherited from class org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher

`getFrameworkRunnerClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.launcher.spi.Launcher

`createClassLoader`

## Field Details

### IDBSNVER_FILENAME

public static final String IDBSNVER_FILENAME

See Also:
  - Constant Field Values

### BUNDLE_FEATURE_FILENAME

public static final String BUNDLE_FEATURE_FILENAME

See Also:
  - Constant Field Values

## Constructor Details

### RegionLauncher

public RegionLauncher()

## Method Details

### prepare

public void prepare(org.apache.sling.feature.launcher.spi.LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app) throws Exception

Specified by:
  `prepare` in interface `org.apache.sling.feature.launcher.spi.Launcher`
Overrides:
  `prepare` in class `org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher`
Throws:
  `Exception`

### run

public int run(org.apache.sling.feature.launcher.spi.LauncherRunContext context, ClassLoader cl) throws Exception

Specified by:
  `run` in interface `org.apache.sling.feature.launcher.spi.Launcher`
Overrides:
  `run` in class `org.apache.sling.feature.launcher.impl.launchers.FrameworkLauncher`
Throws:
  `Exception`